Foxit PDF Conversion SDK

Public Member Functions | List of all members
foxit::Exception Class Reference

Inherits exception, and Object.

## Public Member Functions
| Exception (const char *file_name, int line_number, const char *function_name, ErrorCode error_code)
| Constructor, with parameters. More...
| Exception (const Exception &exception)
| Constructor, with another exception object. More...
| ~Exception () throw ()
| Destructor.
ErrorCode | GetErrCode () const
| Get the error code. More...
String | GetMessage () const
| Get the error message string. More...
String | GetName () const
| Get the string of error code. More...
Exception & | operator= (const Exception &exception)
| Assign operator. More...

## Detailed Description

This class represents the Foxit PDF Conversion SDK exception.

## Constructor & Destructor Documentation

## ◆ Exception() [1/2]

foxit::Exception::Exception | ( | const char * | file_name,
|  | int | line_number,
|  | const char * | function_name,
|  | ErrorCode | error_code
| ) |  |

Constructor, with parameters.

Parameters

  [in] | file_name | The name of the file, where the exception occurs.
  [in] | line_number | The number of line, where the exception occurs.
  [in] | function_name | The name of function, where the exception occurs.
  [in] | error_code | The error code value, which represents the meaning of current exception. Please refer to values starting from foxit::e_ErrSuccess and this should be one of these values.

## ◆ Exception() [2/2]

foxit::Exception::Exception | ( | const Exception & | exception | ) |
| inline

Constructor, with another exception object.

Parameters

  [in] | exception | Another exception object.

## Member Function Documentation

## ◆ GetErrCode()

ErrorCode foxit::Exception::GetErrCode | ( |  | ) | const
| inline

Get the error code.

Returns
  The error code.

## ◆ GetMessage()

String foxit::Exception::GetMessage | ( |  | ) | const
| inline

Get the error message string.

Returns
  Error message string.

## ◆ GetName()

String foxit::Exception::GetName | ( |  | ) | const
| inline

Get the string of error code.

Returns
  A string of error code.

## ◆ operator=()

Exception& foxit::Exception::operator= | ( | const Exception & | exception | ) |
| inline

Assign operator.

Parameters

  [in] | exception | Another exception object, whose value would be assigned to current object.

Returns
  Reference to current object itself.